Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.rest.web
Class ExtensionService

    java.lang.Object
      org.neo4j.server.rest.web.ExtensionService

    public class ExtensionService

extends Object

Constructor Summary
`ExtensionService(InputFormat input, OutputFormat output, PluginInvocator extensions, Database database)`

Method Summary
`protected Representation` | `describeGraphDatabaseExtension(String extensionName, String method)`
`protected Representation` | `describeNodeExtension(String extensionName, String method)`
`protected Representation` | `describeRelationshipExtension(String extensionName, String method)`
`protected Representation` | `extensionList(String extensionName)`
`protected Representation` | `extensionsList()`
`javax.ws.rs.core.Response` | `getExtensionList(String name)`
`javax.ws.rs.core.Response` | `getExtensionsList()`
`javax.ws.rs.core.Response` | `getGraphDatabaseExtensionDescription(String name, String method)`
`javax.ws.rs.core.Response` | `getNodeExtensionDescription(String name, String method, long nodeId)`
`javax.ws.rs.core.Response` | `getRelationshipExtensionDescription(String name, String method, long relationshipId)`
`protected Representation` | `invokeGraphDatabaseExtension(String extensionName, String method, ParameterList data)`
`javax.ws.rs.core.Response` | `invokeGraphDatabaseExtension(String name, String method, String data)`
`protected Representation` | `invokeNodeExtension(long nodeId, String extensionName, String method, ParameterList data)`
`javax.ws.rs.core.Response` | `invokeNodeExtension(String name, String method, long nodeId, String data)`
`protected Representation` | `invokeRelationshipExtension(long relationshipId, String extensionName, String method, ParameterList data)`
`javax.ws.rs.core.Response` | `invokeRelationshipExtension(String name, String method, long relationshipId, String data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtensionService

    public ExtensionService(@Context
                            InputFormat input,
                            @Context
                            OutputFormat output,
                            @Context
                            PluginInvocator extensions,
                            @Context
                            Database database)

Method Detail

### getExtensionsList

    public javax.ws.rs.core.Response getExtensionsList()

### getExtensionList

    public javax.ws.rs.core.Response getExtensionList(String name)

### invokeGraphDatabaseExtension

    public javax.ws.rs.core.Response invokeGraphDatabaseExtension(String name,
                                                                  String method,
                                                                  String data)

### getGraphDatabaseExtensionDescription

    public javax.ws.rs.core.Response getGraphDatabaseExtensionDescription(String name,
                                                                          String method)

### invokeNodeExtension

    public javax.ws.rs.core.Response invokeNodeExtension(String name,
                                                         String method,
                                                         long nodeId,
                                                         String data)

### getNodeExtensionDescription

    public javax.ws.rs.core.Response getNodeExtensionDescription(String name,
                                                                 String method,
                                                                 long nodeId)

### invokeRelationshipExtension

    public javax.ws.rs.core.Response invokeRelationshipExtension(String name,
                                                                 String method,
                                                                 long relationshipId,
                                                                 String data)

### getRelationshipExtensionDescription

    public javax.ws.rs.core.Response getRelationshipExtensionDescription(String name,
                                                                         String method,
                                                                         long relationshipId)

### extensionsList

    protected Representation extensionsList()

### extensionList

    protected Representation extensionList(String extensionName)
                                    throws PluginLookupException

  Throws:
    `PluginLookupException`

### invokeGraphDatabaseExtension

    protected Representation invokeGraphDatabaseExtension(String extensionName,
                                                          String method,
                                                          ParameterList data)
                                                   throws PluginLookupException,
                                                          BadInputException,
                                                          PluginInvocationFailureException,
                                                          BadPluginInvocationException

  Throws:
    `PluginLookupException`
    `BadInputException`
    `PluginInvocationFailureException`
    `BadPluginInvocationException`

### describeGraphDatabaseExtension

    protected Representation describeGraphDatabaseExtension(String extensionName,
                                                            String method)
                                                     throws PluginLookupException

  Throws:
    `PluginLookupException`

### invokeNodeExtension

    protected Representation invokeNodeExtension(long nodeId,
                                                 String extensionName,
                                                 String method,
                                                 ParameterList data)
                                          throws NodeNotFoundException,
                                                 PluginLookupException,
                                                 BadInputException,
                                                 PluginInvocationFailureException,
                                                 BadPluginInvocationException

  Throws:
    `NodeNotFoundException`
    `PluginLookupException`
    `BadInputException`
    `PluginInvocationFailureException`
    `BadPluginInvocationException`

### describeNodeExtension

    protected Representation describeNodeExtension(String extensionName,
                                                   String method)
                                            throws PluginLookupException

  Throws:
    `PluginLookupException`

### invokeRelationshipExtension

    protected Representation invokeRelationshipExtension(long relationshipId,
                                                         String extensionName,
                                                         String method,
                                                         ParameterList data)
                                                  throws RelationshipNotFoundException,
                                                         PluginLookupException,
                                                         BadInputException,
                                                         PluginInvocationFailureException,
                                                         BadPluginInvocationException

  Throws:
    `RelationshipNotFoundException`
    `PluginLookupException`
    `BadInputException`
    `PluginInvocationFailureException`
    `BadPluginInvocationException`

### describeRelationshipExtension

    protected Representation describeRelationshipExtension(String extensionName,
                                                           String method)
                                                    throws PluginLookupException

  Throws:
    `PluginLookupException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.